#!/usr/bin/env python3

from os import environ
from flask import Flask, request
from subprocess import check_output
import json

app = Flask(__name__)

@app.route('/<strategy>', methods=['POST'])
def build(strategy):
    data = json.dumps(request.get_json())
    app.logger.info(data)
    print(strategy, data)
    return check_output([f"/{environ['STRATEGIES_DIR']}/{strategy}", data])
